<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class ProspekKerja extends Model
{
    protected $fillable = ['jurusan_id', 'nama_profesi', 'range_gaji', 'deskripsi_pekerjaan'];

    // Relasi: Satu profesi dimiliki oleh satu Jurusan (BelongsTo)
    public function jurusan()
    {
        return $this->belongsTo(Jurusan::class, 'jurusan_id');
    }
}